This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Movie
Name | ### duration()
Examples |
    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      frameRate(30);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.play();
      // Prints the duration of the movie
      println(myMovie.duration());
    }

    void draw() {
      if (myMovie.available()) {
        myMovie.read();
      }
      image(myMovie, 0, 0);
    }
Description | Returns the length of the movie in seconds. If the movie is 1 minute and 20 seconds long, then 80.0 will be returned. Must be called after play() in order to report accurately.
Syntax |
    .duration()
Returns | float

Updated on May 19, 2014 05:30:05pm PDT